Autor Tópico: (Resolvido) A Involução do Driver v4l2 no Ubuntu 8.10, 9.04 e 9.10  (Lida 3159 vezes)

Offline eduvirgens

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
(Resolvido) A Involução do Driver v4l2 no Ubuntu 8.10, 9.04 e 9.10
« Online: 08 de Novembro de 2009, 14:39 »
Olá amigos.
Eu tenho um dispositivo de captura eMPIA Technology, Inc. Terratec Cinergy 200 USB, pelo menos é assim que o lsusb reconhece ele. No Ubuntu 8.04, o funcionamento era perfeito, mas apartir do 8.10 ele deixou de ser automático. As últimas três versões do Ubuntu, passaram a usar o driver v4l2 v. 0.1.0 ou v. 0.1.2, e piorou muito para os dispositivos USB em28xx. O meu, por exemplo, pra ser reconhecido pelo Ubuntu, precisa de um arquivo /etc/modprobe.d/captura.conf, escrito pelo companheiro BetoMstr, e mesmo assim, só funciona em baixa resolução vertical (no máximo de 360), enquanto que no Ubuntu 8.04, usava-se 480, que é o normal do dispositivo no rwindows. Então resta a pergunta: ainda existe uma versão 0.0.1 do v4l2 que eu possa baixar e compilar no ubuntu 9.10?
Att.

Raimundo
« Última modificação: 02 de Dezembro de 2009, 07:51 por eduvirgens »

Offline mstr

  • Usuário Ubuntu
  • *
  • Mensagens: 379
    • Ver perfil
    • instalar qualquer placas de captura PCI
Re: A Involução do Driver v4l2 no Ubuntu 8.10, 9.04 e 9.10
« Resposta #1 Online: 08 de Novembro de 2009, 22:52 »
Raimundo te mandei um email vamos tentar resolver isso

Offline eduvirgens

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
Re: (Resolvido) A Involução do Driver v4l2 no Ubuntu 8.10, 9.04 e 9.10
« Resposta #2 Online: 02 de Dezembro de 2009, 16:21 »
Olá amigos.
É com muita satisfação que informo a todos vocês, que o problema do driver em28xx foi resolvido. Contei com a ajuda dos amigos Beto MSTR, Douglas Land e do engenheiro de Kernel da Red Hat Mauro Chehab criador do driver V4l2 e do projeto http://video4linux.org.
Para aqueles que como eu, possuírem um dispositivo USB de captura de tv da Linxcel, Digitus ou Actionstar modelo VC-211A, cujo driver usado é o mesmo, se quiserem instruções de como baixar e compilar a versão mais atualizada do driver V4l2, podem me mandar um email pra o endereço que está no meu perfil, pois acredito que as distros só reconhecerão automaticamente esses dispositivos nas próximas atualizações, quando estarão usando a última versão do V4L2. As instruções já estão no site http://video4linux.org, só que além de complicadas estão em inglês. Se quiserem, podem tentar sozinhos, e se não conseguirem, podem entrar em contato comigo.